Package wx :: Package lib :: Package agw :: Module shapedbutton :: Class SBitmapTextButton

[frames | no frames]

## Type SBitmapTextButton

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   SButton --+
                             |
                 SBitmapButton --+
                                 |
                                SBitmapTextButton

Known Subclasses:
  `SBitmapTextToggleButton`

Method Summary
| ``__init__`(self, parent, id, bitmap, label, pos, size)` Default class constructor.
| ``DrawLabel`(self, dc, width, height, dw, dh)` Draws the bitmap and the text labels.

Property Summary

Instance Method Details

### __init__(self, parent, id, bitmap, label, pos=wx.Point(-1, -1), size=wx.Size(-1, -1))
(Constructor)

Default class constructor.

Non standard wxPython parameters are:

1. bitmap: the bitmap you wish to assing to your SBitmapTextButton;
2. label: the text that will be displayed together with the bitmap.

  Overrides:
    `wx.lib.agw.shapedbutton.SBitmapButton.__init__`

### DrawLabel(self, dc, width, height, dw=0, dh=0)

Draws the bitmap and the text labels.

  Overrides:
    `wx.lib.agw.shapedbutton.SBitmapButton.DrawLabel`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:06 2009 | http://epydoc.sf.net